Crypto++

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Functions
xtr.h File Reference

"The XTR public key system" by Arjen K. More...

`#include "modarith.h"`

Go to the source code of this file.

## Classes

class | GFP2Element
| an element of GF(p^2) More...
class | GFP2_ONB< F >
| GF(p^2), optimal normal basis. More...

## Functions

void | XTR_FindPrimesAndGenerator (RandomNumberGenerator &rng, Integer &p, Integer &q, GFP2Element &g, unsigned int pbits, unsigned int qbits)
GFP2Element | XTR_Exponentiate (const GFP2Element &b, const Integer &e, const Integer &p)

## Detailed Description

"The XTR public key system" by Arjen K.

Lenstra and Eric R. Verheul

Definition in file xtr.h.